<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
        <ion-button fill="clear" (click)="dismiss()">{{"CLOSE" | translate}}</ion-button>
    </ion-buttons>
        <ion-title size="small">{{"AGGREGATE_DENSITY_MEASURE" | translate}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content no-padding>

    <form [formGroup]="form">  
  <ion-list inset>
    <ion-item-divider>
        {{"REALTIME" | translate}}
    </ion-item-divider>
    <ion-item lines="none">
        <!--
        <ion-label style="text-align: center; color: rgb(56, 128, 255); font-size: 3em;"><b>{{realtime}} g</b></ion-label>
        -->
        <ion-input style="text-align: center; color: rgb(56, 128, 255); font-size: 3em;" [(ngModel)]="realtime" type="number"></ion-input>
    </ion-item>
    <ion-item-divider>
        {{"INPUT_DATA" | translate}}
    </ion-item-divider>
    <ion-row>
        <ion-col size=5>
            <ion-text>{{"VESSEL_PLUS_AGGREGATE" | translate}}</ion-text>
        </ion-col>
        <ion-col size=4>
            <ion-item>
                <ion-input name="aggregate1" formControlName="aggregate" (ionFocus)="onEvent($event)" [value]="inputs[0]" type="text" placeholder="입력" readonly></ion-input>
                <span>g</span>
            </ion-item>
        </ion-col>
        <ion-col size=3>
            <ion-button color="slackSub" (click)="apply()">{{"APPLY" | translate}}</ion-button>
        </ion-col>
    </ion-row>
    <ion-row>
        <ion-col size=5>
            <ion-text>{{"VESSEL_PLUS_AGGREGATE_PLUS_WATER" | translate}}</ion-text>
        </ion-col>
        <ion-col size=4>
            <ion-item>
                <ion-input name="aggregate2" formControlName="water" (ionFocus)="onEvent($event)" [value]="inputs[1]" type="text" placeholder="입력" #modelInput2 readonly></ion-input>
                <span>g</span>
            </ion-item>
        </ion-col>
        <ion-col size=3>
            <ion-button color="slackSub" (click)="apply2()">{{"APPLY" | translate}}</ion-button>
        </ion-col>
    </ion-row>
    <ion-row>
        <ion-col>
            <ion-item lines="none">
                <ion-label>{{"INITIAL_PRESSURE" | translate}}</ion-label>
            </ion-item>
        </ion-col>
        <ion-col>
            <ion-item>
                <ion-input name="iPressure" formControlName="iPressure" (ionFocus)="onEvent($event)" [value]="pressure[0]" type="text" placeholder="입력" #modelInput3 readonly></ion-input>
                <ion-label>{{pressure[0]}}</ion-label>
                <span>kPa</span>
            </ion-item>
        </ion-col>
    </ion-row>
    <ion-row>
        <ion-col>
            <ion-item lines="none">
                <ion-label>{{"EQUILIBRIUM_PRESSURE" | translate}}</ion-label>
            </ion-item>
        </ion-col>
        <ion-col>
            <ion-item>
                <ion-input name="ePressure" formControlName="ePressure" (ionFocus)="onEvent($event)" [value]="pressure[1]" type="text" placeholder="입력" readonly></ion-input>
                <ion-label>{{pressure[1]}}</ion-label>
                <span>kPa</span>
            </ion-item>
        </ion-col>
    </ion-row>
  </ion-list>

  <ion-button expand="full" color="slackSub" (click)="calculator()" [disabled]="!form.valid">{{"MEASURE" | translate}}</ion-button>

  <br />
  <ion-item>
    <ion-label>{{"AGGREGATE_DENSITY" | translate}}</ion-label>
    <ion-input type="number" [value]="value" readonly></ion-input>
    <span>g/cm³</span> 
  </ion-item>

  </form>
</ion-content>

<ion-footer>
    <!--
    <ion-note>용기+골재를 저울에 올리고 적용 버튼을 누르세요.</ion-note>
    -->
    <ion-input [(ngModel)]="footnote" readonly></ion-input>
</ion-footer>
